View Issue Details

IDProjectCategoryLast Update
0001040HellionBug2019-04-19 11:59
ReporterZorzAssigned To 
PrioritynormalReproducibilitysometimes 
Status investigating 
Product Version0.4.1 
Target VersionFixed in Version 
Summary0001040: 0.4.1 clients crashs/shuts down - warp to home base mostly end up in client crash
Description

client crash/shut down - warp to home base mostly end up in client crash in the moment u arrive

the possibility that the clients crashs is increased if more player are in the same scene.

if u are not alone in the ship mostly the clients crashes for all players on board in the moment u arrive.

mostly all players have to wait till one player have docked the arrived ship or the clients will crash again if all players login

attached output_log was from me and playing online without friends online but client crashes.. but i had it happen that it dont crashes but need some seconds to load.

Steps To Reproduce

-build a normal base with stuff inside and war to it with some players on board on an official server

-normal base means in this case: 3xAM, 1xCM, 2xLSM, 1xPSM, 2xCBM, 1xFM and 2xSARA
shelfs and racks full of different stuff and different tiers, storage full of all kind of stuff which can be stored in CBM internal storage.

-warp to that base with some crew members on board(maybe 2 or 3)
-also chance is increased that clients crashes if someone is already online and running around inside the homebase while ship arrive with rest of the crew

TagsNo tags attached.

Activities

Zorz

Zorz

2019-03-28 22:49

reporter   ~0001993

ok, i have seen that the output_log file is near 100MB big ^^

so i made a rar file with the txt file in it ;)



output_log.rar (70,541 bytes)
Zorz

Zorz

2019-04-04 10:41

reporter   ~0002011

please investigate befor next bugfix tomorrow..

all of our players of the base top playing becuase of client crash of all players agian and again..

makes fun to fly with 3 peoples to another planet and go mine and loot for 2 hours.. bud that comes the worst part.. u need 1-2hours of client crash and and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting and client crash and restarting..
and maybe than someone get the possibility to dock the ship with 3FPS to the base and all other players can log in..

please investigate and look into the client log file. i invest time to report this gamebreaking but, but seems u ignore the report.. i think client crashes should have priority number 1 after server crashes.

Shomy

Shomy

2019-04-05 13:12

administrator   ~0002012

@Zorz can you tell me on which server is this and the base name or some ship nearby? I get the save file from the server and try to reproduce this locally. Also if you don't wish to post here that info feel free to pm me on Steam.

Sky173

Sky173

2019-04-07 03:12

reporter   ~0002014

@Shomy - I can confirm this. It occurs frequently, even without other players in the area. It seems to happen more when you warp into a base that is larger in size, but not always. To prevent it from happening, it helps when you are not looking directly at the base when you come out of warp (turn away and don't look at it while it loads after a warp).

Zorz is correct in saying that crashing occurs more often when you are with a group.

USE4 server

Our Grid

Our Grid

2019-04-07 20:38

reporter   ~0002015

This crash occurs more and more frequent once you have a few modules in your base and some inventory - out of warp at base and Bam crash on base load.

Suggest Temp Workaround: Make warp in to base at 500m instead of 200m - or sufficient distance to prevent need to instant load whole base. Then, fix the netcode ;-)

Sky173

Sky173

2019-04-10 23:44

reporter   ~0002020

Here's the problem that occurred while streaming.
https://www.twitch.tv/videos/409036143

All the problems begin once I disconnect the ship from the base beginning at the 34:40 mark in the video.
It got to the point where the base disappeared. A relog fixed that and everything worked fine thereafter.

Zorz

Zorz

2019-04-19 11:59

reporter   ~0002057

@shomy

sry for late reply, the base/our base should be on EU west #4 (one of our both LSM's should have name "LSM-AC:HE3/17C098", because no outpost)

i have not look into some days or weeks, but should all still be there because t4 cores in all modules..

good luck to find and fix the reason for crashes!

@our grid

bad idea, because 200m away makes it easier to dock the ship with bad fps if client don't crash and befor client/PC crash by overheating. if u would come out of warp more far away that it will be near impossible to dock befor client crash again. and yes docking all floating stuff is need to get "normal" fps back or u will come into crash-restart-loop after some time.

Issue History

Date Modified Username Field Change
2019-03-28 22:42 Zorz New Issue
2019-03-28 22:49 Zorz File Added: output_log.rar
2019-03-28 22:49 Zorz Note Added: 0001993
2019-04-04 10:41 Zorz Note Added: 0002011
2019-04-05 13:12 Shomy Note Added: 0002012
2019-04-05 13:12 Shomy Status new => investigating
2019-04-07 03:12 Sky173 Note Added: 0002014
2019-04-07 20:38 Our Grid Note Added: 0002015
2019-04-10 23:44 Sky173 Note Added: 0002020
2019-04-19 11:59 Zorz Note Added: 0002057